Subject: Re: [bug#30492] [PATCH 3/4] gnu: Add [email-masked].

From: Björn Höfling <[email-masked]>
Date: Sun, 18 Feb 2018 22:33:44 +0100

On Sun, 18 Feb 2018 18:07:38 +0100
Marius Bakke <[email-masked]> wrote:

> Björn Höfling <[email-masked]> writes:
> 
> > * gnu/packages/wxwidgets.scm (wxwidgets-2.8): New variable.  
> 
> This is effectively a revert of
> 6f9ba4c91c096a2fb95da111be0657d99ef2b683.  However, it does some
> things differently, can you have a look and see if this patch needs
> adjustment?
> 
> [...]
>   
> > +(define-public wxwidgets-2.8
> > +  (package (inherit wxwidgets)
> > +           (version "2.8.12")
> > +           (source
> > +            (origin
> > +              (method url-fetch)
> > +              (uri (string-append
> > "https://github.com/wxWidgets/wxWidgets/archive/v"
> > +                                  version ".tar.gz"))  
> 
> wxWidgets provides "release" tarballs which are preferred to the
> auto-generated git archive tarballs.  See the above-mentioned commit
> for the proper URL :-)

Thanks Marius for reviewing that series.

I did not know that there was already a 2.8-version and haven't looked
into history. I copied the non-release URL from 3.1, which isn't
released yet :-)

I think I will just revert the commit you mentioned, as this worked
and was there in the past. How do I revert that, concerning the commit
message: Do I write a full, normal commmit like
"gnu/package/wxwidgets.scm: Add new variable"? Should I mention the
revert? Is it legitimate/necessary to add my copyright header,
although I haven't contributed any line?!

Thanks,

Björn